<?php
include_once("api.class.php");

// Defining your API Url and token
$apiUrl = "/api/v2";
$token = "";

// API
$api = new Api($apiUrl, $token);

// ----

/*
Address type 1: invoice street (required)
Address type 2: delivery address)
*/

// Post request
$postVariables['companyName'] = "Test customer";
$postVariables['email'] = "Mail address";
$postVariables['website'] = "Website";
$postVariables['customerType'] = "1";
$postVariables['language'] = "EN";
$postVariables['addresses'][1]['street'] = "Invoice street";
$postVariables['addresses'][1]['housenumber'] = "1";
$postVariables['addresses'][1]['housenumberExtension'] = "a";
$postVariables['addresses'][1]['postalCode'] = "1234 AB";
$postVariables['addresses'][1]['city'] = "Amsterdam";
$postVariables['addresses'][1]['countryId'] = "1";
$postVariables['addresses'][2]['street'] = "Delivery street";
$postVariables['addresses'][2]['housenumber'] = "100";
$postVariables['addresses'][2]['postalCode'] = "2345 CD";
$postVariables['addresses'][2]['city'] = "Amsterdam";
$postVariables['addresses'][2]['countryId'] = "1";

// Execute request
$result = $api->post('customers', $postVariables);

// Parsing request respons
if ($result['http_code'] == "200") {
	echo "<h2>Success</h2>";
	print_r($result['body']);
} else {
	echo "<h2>Error " . $result['http_code'] . "</h2>" . $result['body'];
}
?>